### Method

# AppStreamCompose Compose set_media

since: 1.2.0

#### Declaration [src]

    void
    asc_compose_set_media (
      AscCompose* compose,
      AscMedia* media
    )

#### Description [src]

Set a media processing interface to use for every unit that this compose object processes (otherwise it will create a fresh one per unit/thread that it uses). This allows a caller that wants to use an `AscMedia` itself or that composes many units in sequence to amortize the cost of starting a second media worker.

An `AscMedia` instance must never be used by more than one thread, so while a media object is set, `AscCompose` will always process its units sequentially, ignoring `ASC_COMPOSE_FLAG_USE_THREADS`. Pass `NULL` to restore the default behavior of using one media instance per unit.

Available since: 1.2.0

#### Parameters

`media`

  Type: `AscMedia`

  An `AscMedia` instance, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.